<?php

namespace FiloBlu\Adminordergrid\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Ddl\Table;

class InstallSchema implements InstallSchemaInterface
{
    /**
     * Installs DB schema for a module
     *
     * @param SchemaSetupInterface $setup
     * @param ModuleContextInterface $context
     * @return void
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();
        
        /** @var $connection \Magento\Framework\DB\Adapter\Pdo\MySql */
        $connection = $setup->getConnection();
        $gridTableName = $setup->getTable('sales_order_grid');

        $cctypeColumns = [
            'type' => Table::TYPE_TEXT,
            'length' => 32,
            'nullable' => true,
            'comment' => 'Payment CC Type',
        ];

        $connection->addColumn(
            $gridTableName,
            'payment_cctype',
            $cctypeColumns
        );
        
        $installer->endSetup();
        
    }
}