<?php

namespace FiloBlu\Adminordergrid\Ui\Component\Listing\Column\CcType;

use Magento\Framework\Data\OptionSourceInterface;
use Magento\Framework\ObjectManagerInterface;

/**
 * Class Options
 */
class Options implements OptionSourceInterface
{
    /**
     * @var ObjectManagerInterface
     */
    protected $objectManager;

    protected $options;

    public function __construct(
        ObjectManagerInterface $objectManager
    )
    {
        $this->objectManager = $objectManager;
    }

    public function toOptionArray()
    {
        if ($this->options === null) {

            $this->options = [];

            $salesCollection = $this->objectManager->create('\Magento\Sales\Model\ResourceModel\Order\Grid\Collection');
            $cctype_collection = $salesCollection->setOrder('payment_cctype', 'ASC')->addFieldToSelect('payment_cctype')->distinct(true);
            foreach ($cctype_collection as $order) {
                $ccType = $order->getPaymentCctype();
                $this->options[] = [
                    'value' => $ccType,
                    'label' => $ccType
                ];
            }
        }

        return $this->options;
    }

}